﻿using System;
using System.Diagnostics;
using Was.OrcSearch.Models.Interfaces;

namespace Was.OrcSearch.Models
{
    [DebuggerDisplay("{Metadata.Name} => {Value}")]
    [Serializable]
    public class MetadataValue : IMetadataValue
    {
        public MetadataValue(IMetadata metadata)
        {
            Metadata = metadata;
        }

        public IMetadata Metadata { get; }

        public object Value { get; set; }
    }
}