﻿using System.Collections.Generic;
using Was.OrcSearch.Metadata.Interfaces;

namespace Was.OrcSearch.EventArgs
{
    public class SearchEventArgs : System.EventArgs
    {
        public SearchEventArgs(string filter, IEnumerable<ISearchable> results)
        {
            Filter = filter;
            Results = results;
        }

        public string Filter { get; }

        public IEnumerable<ISearchable> Results { get; }
    }
}